<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionTargets Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dba/class_action_targets.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionTargets Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abf981da6bd7a322b5d45130387df1c94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#abf981da6bd7a322b5d45130387df1c94">ActionTargets</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:abf981da6bd7a322b5d45130387df1c94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac297eada2d7a1c48f4ac8590575ba5dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ac297eada2d7a1c48f4ac8590575ba5dc">Clear</a> ()</td></tr>
<tr class="separator:ac297eada2d7a1c48f4ac8590575ba5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb11c3718f23c46f9d1f82f265a09ab6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#acb11c3718f23c46f9d1f82f265a09ab6">CalculateRayStart</a> ()</td></tr>
<tr class="separator:acb11c3718f23c46f9d1f82f265a09ab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53f8107226e70fd7184aa429ad229849"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a53f8107226e70fd7184aa429ad229849">Update</a> ()</td></tr>
<tr class="separator:a53f8107226e70fd7184aa429ad229849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9daf9dfbd804fcdf2562336344efd0"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a1f9daf9dfbd804fcdf2562336344efd0">IsObstructed</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a1f9daf9dfbd804fcdf2562336344efd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c11b06328e630838520c5544f2bd38b"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a2c11b06328e630838520c5544f2bd38b">IsObstructedEx</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object, <a class="el" href="../../dc/d98/_misc_gameplay_functions_8c.html#a6e494ec3ce6eac50f199b34c84d93b1d">IsObjectObstructedCache</a> cache)</td></tr>
<tr class="separator:a2c11b06328e630838520c5544f2bd38b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d5bc358e1a95e06db5ce3c248485c12"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a1d5bc358e1a95e06db5ce3c248485c12">GetTargetsCount</a> ()</td></tr>
<tr class="memdesc:a1d5bc358e1a95e06db5ce3c248485c12"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns count of founded targets  <a href="../../df/dba/class_action_targets.html#a1d5bc358e1a95e06db5ce3c248485c12">More...</a><br /></td></tr>
<tr class="separator:a1d5bc358e1a95e06db5ce3c248485c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c4c885e310ab0fa1cd4cf00ee92fb7b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a9c4c885e310ab0fa1cd4cf00ee92fb7b">GetTarget</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="memdesc:a9c4c885e310ab0fa1cd4cf00ee92fb7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns action target at index  <a href="../../df/dba/class_action_targets.html#a9c4c885e310ab0fa1cd4cf00ee92fb7b">More...</a><br /></td></tr>
<tr class="separator:a9c4c885e310ab0fa1cd4cf00ee92fb7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b6d12c65e92113b246d23d09ec0a6cc"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a1b6d12c65e92113b246d23d09ec0a6cc">StoreTarget</a> (<a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> pActionTarget)</td></tr>
<tr class="memdesc:a1b6d12c65e92113b246d23d09ec0a6cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">inserts action into sorted array based on utility  <a href="../../df/dba/class_action_targets.html#a1b6d12c65e92113b246d23d09ec0a6cc">More...</a><br /></td></tr>
<tr class="separator:a1b6d12c65e92113b246d23d09ec0a6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c6a1b1199f6032a4f02a698d815059b"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a9c6a1b1199f6032a4f02a698d815059b">FindIndexForStoring</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="memdesc:a9c6a1b1199f6032a4f02a698d815059b"><td class="mdescLeft">&#160;</td><td class="mdescRight">binary search algorithm  <a href="../../df/dba/class_action_targets.html#a9c6a1b1199f6032a4f02a698d815059b">More...</a><br /></td></tr>
<tr class="separator:a9c6a1b1199f6032a4f02a698d815059b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a898582c63f75d5214edffa30d28bcde1"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a898582c63f75d5214edffa30d28bcde1">ComputeUtility</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> pTarget, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pRayStart, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pRayEnd, <a class="el" href="../../d8/d83/class_object.html">Object</a> cursorTarget, <a class="el" href="../../d7/dfc/classvector.html">vector</a> hitPos)</td></tr>
<tr class="memdesc:a898582c63f75d5214edffa30d28bcde1"><td class="mdescLeft">&#160;</td><td class="mdescRight">computes utility of target  <a href="../../df/dba/class_action_targets.html#a898582c63f75d5214edffa30d28bcde1">More...</a><br /></td></tr>
<tr class="separator:a898582c63f75d5214edffa30d28bcde1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69178d5e0dfac7fc95ee04b80db5d3c9"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a69178d5e0dfac7fc95ee04b80db5d3c9">DistSqrPoint2Line</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pPoint, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pL1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pL2)</td></tr>
<tr class="memdesc:a69178d5e0dfac7fc95ee04b80db5d3c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">distance between point and line  <a href="../../df/dba/class_action_targets.html#a69178d5e0dfac7fc95ee04b80db5d3c9">More...</a><br /></td></tr>
<tr class="separator:a69178d5e0dfac7fc95ee04b80db5d3c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3c0c4a71c490ea72b32fe1af321dbef"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ae3c0c4a71c490ea72b32fe1af321dbef">FilterObstructedObjectsEx</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> cursor_target, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; vicinityObjects)</td></tr>
<tr class="separator:ae3c0c4a71c490ea72b32fe1af321dbef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b5ce6524dd23290cb84978db07313a"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a22b5ce6524dd23290cb84978db07313a">FilterObstructedObjects</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> cursor_target)</td></tr>
<tr class="separator:a22b5ce6524dd23290cb84978db07313a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a45c9da3f60f4586b507944f3a930094b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a45c9da3f60f4586b507944f3a930094b">GetVicinityObjects</a> ()</td></tr>
<tr class="separator:a45c9da3f60f4586b507944f3a930094b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac4c02632cf0b93087f87c181d178fb31"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ac4c02632cf0b93087f87c181d178fb31">m_Player</a></td></tr>
<tr class="memdesc:ac4c02632cf0b93087f87c181d178fb31"><td class="mdescLeft">&#160;</td><td class="mdescRight">player owner  <a href="../../df/dba/class_action_targets.html#ac4c02632cf0b93087f87c181d178fb31">More...</a><br /></td></tr>
<tr class="separator:ac4c02632cf0b93087f87c181d178fb31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af51b1245fac99703cda3dc19e558b153"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#af51b1245fac99703cda3dc19e558b153">m_Targets</a></td></tr>
<tr class="memdesc:af51b1245fac99703cda3dc19e558b153"><td class="mdescLeft">&#160;</td><td class="mdescRight">selected &amp; sorted targets by utility function  <a href="../../df/dba/class_action_targets.html#af51b1245fac99703cda3dc19e558b153">More...</a><br /></td></tr>
<tr class="separator:af51b1245fac99703cda3dc19e558b153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f94daf8357c469328b6928d7a0d0a8"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ac3f94daf8357c469328b6928d7a0d0a8">m_RayEnd</a></td></tr>
<tr class="separator:ac3f94daf8357c469328b6928d7a0d0a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a1faaaa31295d57aa72ffb2ae00a08a"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a0a1faaaa31295d57aa72ffb2ae00a08a">m_HitPos</a></td></tr>
<tr class="separator:a0a1faaaa31295d57aa72ffb2ae00a08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42e960ffba61aacca0827722a67f0e27"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a42e960ffba61aacca0827722a67f0e27">c_RayDistance</a> = 5.0</td></tr>
<tr class="memdesc:a42e960ffba61aacca0827722a67f0e27"><td class="mdescLeft">&#160;</td><td class="mdescRight">searching properties  <a href="../../df/dba/class_action_targets.html#a42e960ffba61aacca0827722a67f0e27">More...</a><br /></td></tr>
<tr class="separator:a42e960ffba61aacca0827722a67f0e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff7ef7ac705bd8bac1663b2c7da5a86c"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#aff7ef7ac705bd8bac1663b2c7da5a86c">c_MaxTargetDistance</a> = 3.0</td></tr>
<tr class="separator:aff7ef7ac705bd8bac1663b2c7da5a86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e36156adb294833c68167531f2d137"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a82e36156adb294833c68167531f2d137">c_MaxActionDistance</a> = <a class="el" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances.DEFAULT</a></td></tr>
<tr class="separator:a82e36156adb294833c68167531f2d137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada42d06e42d551d11ac64436341dced3"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ada42d06e42d551d11ac64436341dced3">c_ConeAngle</a> = 30.0</td></tr>
<tr class="separator:ada42d06e42d551d11ac64436341dced3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24748b775704f4611b907da0fbfb0f2d"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a24748b775704f4611b907da0fbfb0f2d">c_ConeHeightMin</a> = -0.5</td></tr>
<tr class="separator:a24748b775704f4611b907da0fbfb0f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f78add037bbde2b9b1cf3bab331f137"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a9f78add037bbde2b9b1cf3bab331f137">c_ConeHeightMax</a> = 2.0</td></tr>
<tr class="separator:a9f78add037bbde2b9b1cf3bab331f137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b023bd272cb2be88ca1c7154dc1afa6"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a1b023bd272cb2be88ca1c7154dc1afa6">c_DistanceDelta</a> = 0.3</td></tr>
<tr class="separator:a1b023bd272cb2be88ca1c7154dc1afa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae174651f845b35a1c04566f3e0afae84"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ae174651f845b35a1c04566f3e0afae84">c_UtilityMaxValue</a> = 10000</td></tr>
<tr class="memdesc:ae174651f845b35a1c04566f3e0afae84"><td class="mdescLeft">&#160;</td><td class="mdescRight">utility constants  <a href="../../df/dba/class_action_targets.html#ae174651f845b35a1c04566f3e0afae84">More...</a><br /></td></tr>
<tr class="separator:ae174651f845b35a1c04566f3e0afae84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad64f007ff7afa42326a651b64974e5f9"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ad64f007ff7afa42326a651b64974e5f9">c_UtilityMaxDistFromRaySqr</a> = 0.8 * 0.8</td></tr>
<tr class="separator:ad64f007ff7afa42326a651b64974e5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14ef901a746384a16576fb52cadceaa6"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a14ef901a746384a16576fb52cadceaa6">CE_CENTER</a> = &quot;ce_center&quot;</td></tr>
<tr class="memdesc:a14ef901a746384a16576fb52cadceaa6"><td class="mdescLeft">&#160;</td><td class="mdescRight">p3d  <a href="../../df/dba/class_action_targets.html#a14ef901a746384a16576fb52cadceaa6">More...</a><br /></td></tr>
<tr class="separator:a14ef901a746384a16576fb52cadceaa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7eb96714a20d18bfa6bbc914ed107ab"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#ac7eb96714a20d18bfa6bbc914ed107ab">HEIGHT_OFFSET</a> = 0.2</td></tr>
<tr class="separator:ac7eb96714a20d18bfa6bbc914ed107ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeda4de388b7895943bbdda8b80882e30"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#aeda4de388b7895943bbdda8b80882e30">OBSTRUCTED_COUNT_THRESHOLD</a> = 3</td></tr>
<tr class="memdesc:aeda4de388b7895943bbdda8b80882e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">misc  <a href="../../df/dba/class_action_targets.html#aeda4de388b7895943bbdda8b80882e30">More...</a><br /></td></tr>
<tr class="separator:aeda4de388b7895943bbdda8b80882e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf02cee56c040a988c9cf52c9e739f88"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#aaf02cee56c040a988c9cf52c9e739f88">GROUPING_COUNT_THRESHOLD</a> = 10</td></tr>
<tr class="separator:aaf02cee56c040a988c9cf52c9e739f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a87f6d32aace309be07fc2071273208f1"><td class="memItemLeft" align="right" valign="top">static private ref <a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a> <a class="el" href="../../d2/d9f/_action_targets_8c.html#a564c27119191617facba98ffc63f90ae">m_VicinityObjects</a> private <a class="el" href="../../d9/db9/classbool.html">bool</a> <a class="el" href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a> private <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html#a87f6d32aace309be07fc2071273208f1">m_RayStart</a></td></tr>
<tr class="memdesc:a87f6d32aace309be07fc2071273208f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">objects in vicinity  <a href="../../df/dba/class_action_targets.html#a87f6d32aace309be07fc2071273208f1">More...</a><br /></td></tr>
<tr class="separator:a87f6d32aace309be07fc2071273208f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00173">173</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abf981da6bd7a322b5d45130387df1c94" name="abf981da6bd7a322b5d45130387df1c94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf981da6bd7a322b5d45130387df1c94">&#9670;&#160;</a></span>ActionTargets()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTargets::ActionTargets </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00175">175</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acb11c3718f23c46f9d1f82f265a09ab6" name="acb11c3718f23c46f9d1f82f265a09ab6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb11c3718f23c46f9d1f82f265a09ab6">&#9670;&#160;</a></span>CalculateRayStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> ActionTargets::CalculateRayStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >tmp hotfix - move the start point for a bit in 3p view (camera collision issue related)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00194">194</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac297eada2d7a1c48f4ac8590575ba5dc" name="ac297eada2d7a1c48f4ac8590575ba5dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac297eada2d7a1c48f4ac8590575ba5dc">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTargets::Clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00189">189</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a898582c63f75d5214edffa30d28bcde1" name="a898582c63f75d5214edffa30d28bcde1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a898582c63f75d5214edffa30d28bcde1">&#9670;&#160;</a></span>ComputeUtility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::ComputeUtility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>pTarget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pRayStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pRayEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>cursorTarget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>hitPos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>computes utility of target </p>
<p >out of reach</p>
<p >ground and static objects</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00419">419</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a69178d5e0dfac7fc95ee04b80db5d3c9" name="a69178d5e0dfac7fc95ee04b80db5d3c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69178d5e0dfac7fc95ee04b80db5d3c9">&#9670;&#160;</a></span>DistSqrPoint2Line()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::DistSqrPoint2Line </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pPoint</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pL1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pL2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>distance between point and line </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00458">458</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a22b5ce6524dd23290cb84978db07313a" name="a22b5ce6524dd23290cb84978db07313a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22b5ce6524dd23290cb84978db07313a">&#9670;&#160;</a></span>FilterObstructedObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ActionTargets::FilterObstructedObjects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>cursor_target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >check if targets are not obstructed (eg.: wall)</p>
<p >check for object obstruction(if the object is not a proxy - has no parent)</p>
<p >when the number of obstructed items is higher than OBSTRUCTED_COUNT_THRESHOLD remove do no run obstruction check and skip these items</p>
<p >obstruction check</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00505">505</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ae3c0c4a71c490ea72b32fe1af321dbef" name="ae3c0c4a71c490ea72b32fe1af321dbef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3c0c4a71c490ea72b32fe1af321dbef">&#9670;&#160;</a></span>FilterObstructedObjectsEx()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ActionTargets::FilterObstructedObjectsEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>cursor_target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td>
          <td class="paramname"><em>vicinityObjects</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00474">474</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a9c6a1b1199f6032a4f02a698d815059b" name="a9c6a1b1199f6032a4f02a698d815059b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c6a1b1199f6032a4f02a698d815059b">&#9670;&#160;</a></span>FindIndexForStoring()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionTargets::FindIndexForStoring </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>binary search algorithm </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00398">398</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a9c4c885e310ab0fa1cd4cf00ee92fb7b" name="a9c4c885e310ab0fa1cd4cf00ee92fb7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c4c885e310ab0fa1cd4cf00ee92fb7b">&#9670;&#160;</a></span>GetTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> ActionTargets::GetTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns action target at index </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00386">386</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a1d5bc358e1a95e06db5ce3c248485c12" name="a1d5bc358e1a95e06db5ce3c248485c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d5bc358e1a95e06db5ce3c248485c12">&#9670;&#160;</a></span>GetTargetsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionTargets::GetTargetsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns count of founded targets </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00382">382</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a45c9da3f60f4586b507944f3a930094b" name="a45c9da3f60f4586b507944f3a930094b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45c9da3f60f4586b507944f3a930094b">&#9670;&#160;</a></span>GetVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; ActionTargets::GetVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00184">184</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a1f9daf9dfbd804fcdf2562336344efd0" name="a1f9daf9dfbd804fcdf2562336344efd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f9daf9dfbd804fcdf2562336344efd0">&#9670;&#160;</a></span>IsObstructed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTargets::IsObstructed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00370">370</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a2c11b06328e630838520c5544f2bd38b" name="a2c11b06328e630838520c5544f2bd38b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c11b06328e630838520c5544f2bd38b">&#9670;&#160;</a></span>IsObstructedEx()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTargets::IsObstructedEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dc/d98/_misc_gameplay_functions_8c.html#a6e494ec3ce6eac50f199b34c84d93b1d">IsObjectObstructedCache</a>&#160;</td>
          <td class="paramname"><em>cache</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00376">376</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a1b6d12c65e92113b246d23d09ec0a6cc" name="a1b6d12c65e92113b246d23d09ec0a6cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b6d12c65e92113b246d23d09ec0a6cc">&#9670;&#160;</a></span>StoreTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ActionTargets::StoreTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>pActionTarget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>inserts action into sorted array based on utility </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00390">390</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a53f8107226e70fd7184aa429ad229849" name="a53f8107226e70fd7184aa429ad229849"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53f8107226e70fd7184aa429ad229849">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTargets::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >clear state</p>
<p >camera &amp; ray properties</p>
<p >if the cursor target is a proxy</p>
<p >ignores attachments on player</p>
<p >spacial search</p>
<p >removes player from the vicinity</p>
<p >transformation of array of Objects to hashmap (<a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a>)</p>
<p >removes Vicinity objects that are not directly visible from player position</p>
<p >select &amp; sort targets based on utility function</p>
<p >action target for surface actions (lowest utility)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00205">205</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ada42d06e42d551d11ac64436341dced3" name="ada42d06e42d551d11ac64436341dced3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada42d06e42d551d11ac64436341dced3">&#9670;&#160;</a></span>c_ConeAngle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_ConeAngle = 30.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00738">738</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a9f78add037bbde2b9b1cf3bab331f137" name="a9f78add037bbde2b9b1cf3bab331f137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f78add037bbde2b9b1cf3bab331f137">&#9670;&#160;</a></span>c_ConeHeightMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_ConeHeightMax = 2.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00740">740</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a24748b775704f4611b907da0fbfb0f2d" name="a24748b775704f4611b907da0fbfb0f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24748b775704f4611b907da0fbfb0f2d">&#9670;&#160;</a></span>c_ConeHeightMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_ConeHeightMin = -0.5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00739">739</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a1b023bd272cb2be88ca1c7154dc1afa6" name="a1b023bd272cb2be88ca1c7154dc1afa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b023bd272cb2be88ca1c7154dc1afa6">&#9670;&#160;</a></span>c_DistanceDelta</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_DistanceDelta = 0.3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00741">741</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a82e36156adb294833c68167531f2d137" name="a82e36156adb294833c68167531f2d137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e36156adb294833c68167531f2d137">&#9670;&#160;</a></span>c_MaxActionDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_MaxActionDistance = <a class="el" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances.DEFAULT</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00737">737</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aff7ef7ac705bd8bac1663b2c7da5a86c" name="aff7ef7ac705bd8bac1663b2c7da5a86c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff7ef7ac705bd8bac1663b2c7da5a86c">&#9670;&#160;</a></span>c_MaxTargetDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_MaxTargetDistance = 3.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00736">736</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a42e960ffba61aacca0827722a67f0e27" name="a42e960ffba61aacca0827722a67f0e27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42e960ffba61aacca0827722a67f0e27">&#9670;&#160;</a></span>c_RayDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_RayDistance = 5.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>searching properties </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00735">735</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ad64f007ff7afa42326a651b64974e5f9" name="ad64f007ff7afa42326a651b64974e5f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad64f007ff7afa42326a651b64974e5f9">&#9670;&#160;</a></span>c_UtilityMaxDistFromRaySqr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_UtilityMaxDistFromRaySqr = 0.8 * 0.8</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00745">745</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ae174651f845b35a1c04566f3e0afae84" name="ae174651f845b35a1c04566f3e0afae84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae174651f845b35a1c04566f3e0afae84">&#9670;&#160;</a></span>c_UtilityMaxValue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::c_UtilityMaxValue = 10000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>utility constants </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00744">744</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a14ef901a746384a16576fb52cadceaa6" name="a14ef901a746384a16576fb52cadceaa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14ef901a746384a16576fb52cadceaa6">&#9670;&#160;</a></span>CE_CENTER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionTargets::CE_CENTER = &quot;ce_center&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>p3d </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00748">748</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aaf02cee56c040a988c9cf52c9e739f88" name="aaf02cee56c040a988c9cf52c9e739f88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf02cee56c040a988c9cf52c9e739f88">&#9670;&#160;</a></span>GROUPING_COUNT_THRESHOLD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionTargets::GROUPING_COUNT_THRESHOLD = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00753">753</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac7eb96714a20d18bfa6bbc914ed107ab" name="ac7eb96714a20d18bfa6bbc914ed107ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7eb96714a20d18bfa6bbc914ed107ab">&#9670;&#160;</a></span>HEIGHT_OFFSET</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionTargets::HEIGHT_OFFSET = 0.2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00749">749</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a0a1faaaa31295d57aa72ffb2ae00a08a" name="a0a1faaaa31295d57aa72ffb2ae00a08a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a1faaaa31295d57aa72ffb2ae00a08a">&#9670;&#160;</a></span>m_HitPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d7/dfc/classvector.html">vector</a> ActionTargets::m_HitPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00729">729</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac4c02632cf0b93087f87c181d178fb31" name="ac4c02632cf0b93087f87c181d178fb31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c02632cf0b93087f87c181d178fb31">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ActionTargets::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>player owner </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00717">717</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac3f94daf8357c469328b6928d7a0d0a8" name="ac3f94daf8357c469328b6928d7a0d0a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3f94daf8357c469328b6928d7a0d0a8">&#9670;&#160;</a></span>m_RayEnd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d7/dfc/classvector.html">vector</a> ActionTargets::m_RayEnd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00728">728</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a87f6d32aace309be07fc2071273208f1" name="a87f6d32aace309be07fc2071273208f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87f6d32aace309be07fc2071273208f1">&#9670;&#160;</a></span>m_RayStart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a> <a class="el" href="../../d2/d9f/_action_targets_8c.html#a564c27119191617facba98ffc63f90ae">m_VicinityObjects</a> private <a class="el" href="../../d9/db9/classbool.html">bool</a> <a class="el" href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a> private <a class="el" href="../../d7/dfc/classvector.html">vector</a> ActionTargets::m_RayStart</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>objects in vicinity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00727">727</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="af51b1245fac99703cda3dc19e558b153" name="af51b1245fac99703cda3dc19e558b153"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af51b1245fac99703cda3dc19e558b153">&#9670;&#160;</a></span>m_Targets</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&gt; ActionTargets::m_Targets</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>selected &amp; sorted targets by utility function </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00720">720</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aeda4de388b7895943bbdda8b80882e30" name="aeda4de388b7895943bbdda8b80882e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeda4de388b7895943bbdda8b80882e30">&#9670;&#160;</a></span>OBSTRUCTED_COUNT_THRESHOLD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionTargets::OBSTRUCTED_COUNT_THRESHOLD = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>misc </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00752">752</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/<a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/dba/class_action_targets.html">ActionTargets</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
